> For the complete documentation index, see [llms.txt](https://docs.world-creator.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.world-creator.com/reference/options/application.md).

# Application

## Overview

These settings affect the general application settings of World Creator.

## Parameters

<table><thead><tr><th width="219.89990234375">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Language</strong></td><td>Change the language of the application.</td></tr><tr><td><strong>Show HUD</strong></td><td>Enables/Disables the HUD in the viewport.</td></tr><tr><td><strong>Interface Scale</strong></td><td>Scales World Creators Interface. Can be useful for higher resolution monitors.</td></tr><tr><td><strong>Limit FPS</strong></td><td>Allows you to limit the FPS of the renderer while working.</td></tr><tr><td><strong>Limit Unfocused FPS</strong></td><td>Allows you to limit the FPS of the window while it isn't focused.</td></tr><tr><td><strong>Screenshot Transparent Background</strong></td><td>If enabled, the background of screenshots will be transparent.</td></tr><tr><td><strong>Temp Directory</strong></td><td>World Creator stores temporary files (e.g. terrain data on larger terrains) here.</td></tr><tr><td><strong>Transform Widget Scale</strong></td><td>Controls the size of the object transform widget.</td></tr><tr><td><strong>Compress Model Textures on Load</strong></td><td>Enables texture compression for object materials.</td></tr><tr><td><strong>Compress Terrain Textures on Load</strong></td><td>Enables texture compression for landscape materials.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.world-creator.com/reference/options/application.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
